function dr = wien(x0,y0,dx,ds,F,dc);                
%  wien.m                                           
%  Realization generated from the drawing window of the toolbox 
%                                                               
%      DrawFilt version 2.5  ---  Drawing Filter Realizations   
%                                                               
%   Authors: Miroslav D. Lutovac, Dejan V. Tosic    
%   Email: lutovac@iritel.bg.ac.yu      http://galeb.etf.bg.ac.yu/~lutovac/
%   Email: tosic@galeb.etf.bg.ac.yu     http://www.rcub.bg.ac.yu/~tosicde/
%   Copyright (c) 1999-2001 by Lutovac & Tosic                   
%   $Revision: 2.01 $  $Date: 2001/12/24$                  
%                                                                
%   See also:                                                    
%   Miroslav D. Lutovac, Dejan V. Tosic, Brian L. Evans          
%        Filter Design for Signal Processing                     
%           Using MATLAB and Mathematica                         
%        Prentice Hall - ISBN 0-201-36130-2                      
%         http://www.prenhall.com/lutovac                        
%                                                                
% call   wien(0,0,4,5,8,'k')                        
% call   wien                                       
% creation date: 26-Oct-2001  time: 16:56
%                                                                
mydrawDrawFiltLutovacTosic = '2p5'; % don't edit this line
narginmydraw = nargin;
if narginmydraw ~= 6, x0=0; y0=0; dx=4; ds=5; F=8; dc='k'; end,
Nx = 100; Ny = 100; whitebg(figure(gcf),[1 1 1]);
x = (1:4*Nx)*dx/4 + x0; y = (1:4*Ny)*dx/4 + y0;
drawcvs(x(16), y(6), y(12), ' ','a*v1',5, ds/2, F, dc);      
drawline(x(16), y(12), x(19), y(12), dc);                    
drawline(x(16), y(6), x(19), y(6), dc);                      
drawout(x(19), y(12), 'OUT', 0, ds, F, dc);                  
drawgrnd(x(19), y(6), 0, ds/2, dc);                          
drawline(x(19), y(14), x(19), y(12), dc);                    
drawline(x(14), y(12), x(11), y(12), dc);                    
drawline(x(14), y(6), x(11), y(6), dc);                      
drawgrnd(x(11), y(6), 0, ds/2, dc);                          
drawline(x(11), y(14), x(11), y(12), dc);                    
drawres(x(7), y(7), y(11), ' ', 'R1' ,1, ds/2, F, dc);       
drawcap(x(9), y(7), y(11), ' ', 'C1' ,3, ds/2, F, dc);       
drawline(x(7), y(11), x(9), y(11), dc);                      
drawline(x(7), y(7), x(9), y(7), dc);                        
drawlvh(x(8), y(7),  x(11),  y(6), 0, dc);                   
drawlvh(x(8), y(11),  x(11),  y(12), 0, dc);                 
drawres(x(11), y(14), x(15), ' ', 'R2' ,0, ds/2, F, dc);     
drawcap(x(15), y(14), x(19), ' ', 'C2' ,0, ds/2, F, dc);     
drawnode(x(11), y(12), '1', 6, 1, F, dc);                    
drawnode(x(19), y(12), '2', 6, 1, F, dc);                    
drawnode(x(15), y(14), '3', 6, 1, F, dc);                    
drawnode(x(19), y(6),'0', 2, 1, F, dc);                      
drawnode(x(11), y(6),'0', 2, 1, F, dc);                      
drawnode(x(8), y(11),'', 1, 1, F, dc);                       
drawnode(x(8), y(7),'', 1, 1, F, dc);                        
drawtext(x(13), y(3),'Wien Bridge Oscillator', F+1, dc);     
drawtext(x(15), y(5),'VCVS', F+1, dc);                       
drawtext(x(4), y(14),'Initial Condition', F+1, dc);          
drawtext(x(4), y(13),'v1(0-)=Vo', F+1, dc);                  
axis('equal')
axis('off')
