function dr = demomult(x0,y0,dx,ds,F,dc);             
%  demomult.m                                           
%  Realization generated from the drawing window of the toolbox 
%                                                               
%      DrawFilt version 2.5  ---  Drawing Filter Realizations   
%                                                               
%   Authors: Miroslav D. Lutovac, Dejan V. Tosic    
%   Email: lutovac@iritel.bg.ac.yu      http://galeb.etf.bg.ac.yu/~lutovac/
%   Email: tosic@galeb.etf.bg.ac.yu     http://www.rcub.bg.ac.yu/~tosicde/
%   Copyright (c) 1999-2001 by Lutovac & Tosic                   
%   $Revision: 2.01 $  $Date: 2001/12/24$                  
%                                                                
%   See also:                                                    
%   Miroslav D. Lutovac, Dejan V. Tosic, Brian L. Evans          
%        Filter Design for Signal Processing                     
%           Using MATLAB and Mathematica                         
%        Prentice Hall - ISBN 0-201-36130-2                      
%         http://www.prenhall.com/lutovac                        
%                                                                
% call   demomult(0,0,4,5,8,'k')                      
% call   demomult                                       
% creation date: 30-Oct-2001  time: 11:22
%                                                                
mydrawDrawFiltLutovacTosic = '2p5'; % don't edit this line
narginmydraw = nargin;
if narginmydraw ~= 6, x0=0; y0=0; dx=4; ds=5; F=8; dc='k'; end,
Nx = 100; Ny = 100; whitebg(figure(gcf),[1 1 1]); 
x = (1:4*Nx)*dx/4 + x0; y = (1:4*Ny)*dx/4 + y0;
drawline(x(1), y(19), x(36), y(19), dc);                     
drawline(x(9), y(10), x(9), y(1), dc);                       
drawline(x(9), y(10), x(1), y(10), dc);                      
drawmult(x(3), y(24),x(8), 'L_0','V0',0, ds/2,F-1,dc);       
drawmult(x(14),y(21),y(26),'L_1','V1',1, ds/2,F-1,dc);       
drawmult(x(21),y(24),x(26),'L_2','V2',2, ds/2,F-1,dc);       
drawmult(x(33),y(21),y(26),'L_3','V3',3, ds/2,F-1,dc);       
drawmult(x(3), y(15),x(8), 'L_4','V4',4, ds/2,F-1,dc);       
drawmult(x(14),y(12),y(17),'L_5','V5',5, ds/2,F-1,dc);       
drawmult(x(21),y(15),x(26),'L_6','V6',6, ds/2,F-1,dc);       
drawmult(x(33),y(12),y(17),'L_7','V7',7, ds/2,F-1,dc);       
drawmult(x(3), y(7), x(7), ' ' ,'a0',0, ds/3,F-1,'c');       
drawmult(x(7), y(3), y(7), ' ' ,'a1',1, ds/3,F-1,'g');       
drawmult(x(3), y(3), x(7), ' ' ,'a2',2, ds/3,F-1,'m');       
drawmult(x(3), y(3), y(7), ' ' ,'a3',3, ds/3,F-1,'k');       
drawtext(x(2), y(7), '(x,y)', F-2, dc);                      
drawtext(x(8), y(7), '(x_2,y_2)', F-2, dc);                  
drawtext(x(2), y(2),'(x_2,y_2)', F-2, dc);                   
drawtext(x(8), y(2),'(x,y)', F-2, dc);                       
drawnode(x(14), y(21),'input', 6, 1, F-1, dc);               
drawnode(x(14), y(26),'output', 2, 1, F-1, dc);              
drawnode(x(26), y(24),' input', 0, 1, F-1, dc);              
drawnode(x(21), y(24),'output ', 4, 1, F-1, dc);             
drawtext(x(14), y(11), '(x,y)', F-1, dc);                    
drawtext(x(14), y(17), '(x_2,y_2)', F-1, dc);                
drawtext(x(20), y(15), '(x_2,y_2)', F-1, dc);                
drawtext(x(27), y(15), '(x,y)', F-1, dc);                    
drawtext(x(17),y(9),'drawmult(x,y,z,L,V,P,S,F,C)',F,dc);     
drawtext(x(17),y(8),'(x,y) - MULTIPLIER input ',F-2,dc);     
drawtext(x(17),y(6),'(x_2,y_2) - MULTIPLIER output',F-2,dc); 
drawtext(x(17),y(5),'x_2=x, y_2=z, P\in (0,2,4,6)',F-2,dc);  
drawtext(x(17),y(4),'x_2=z, y_2=y, P\in (1,3,5,7)',F-2,dc);  
drawtext(x(14),y(3), 'L - Label', F-2,dc);                   
drawtext(x(14),y(2), 'V - Value', F-2,dc);                   
drawtext(x(14),y(1), 'P - Orientation', F-2,dc);             
drawtext(x(21),y(3), 'S - Scale', F-2,dc);                   
drawtext(x(21),y(2), 'F - Font Size', F-2,dc);               
drawtext(x(21),y(1), 'C - Draw Color', F-2,dc);              
drawtext(x(31),y(9),'x=x(25), y=y(8), z=x(34)',F-1,dc);      
drawtext(x(31),y(8),'L=^,Label \\mu^,, V=^,Value^,',F-1,dc); 
drawtext(x(31),y(7),'P=0, S=6*ds/7, F=7, C=^,r^, ',F-1,dc);  
drawmult(x(25),y(3),x(34),'Label \mu','Value',0,6*ds/7,7,'r')
drawtext(x(3), y(26), 'P=0', F-1, dc);                       
drawtext(x(11),y(26), 'P=1', F-1, dc);                       
drawtext(x(21),y(26), 'P=2', F-1, dc);                       
drawtext(x(31),y(26), 'P=3', F-1, dc);                       
drawtext(x(3), y(17), 'P=4', F-1, dc);                       
drawtext(x(11),y(17), 'P=5', F-1, dc);                       
drawtext(x(21),y(17), 'P=6', F-1, dc);                       
drawtext(x(31),y(17), 'P=7', F-1, dc);                       
drawtext(x(6),y(19),'Draw using button Mult',F,dc);          
drawtext(x(7),y(10),'Change using button EDIT',F,dc);        
axis('equal')
axis('off')
