function mydrawgrndtag = drawgrnd(a,b,p,s,dc)
% drawgrnd.m  DRAW GROUND
% Authors: Prof. Dr Miroslav D. Lutovac, Prof. Dr Dejan V. Tosic
% lutovac@kondor.etf.bg.ac.yu    http://kondor.etf.bg.ac.yu/~lutovac/
% tosic@galeb.etf.bg.ac.yu       http://www.rcub.bg.ac.yu/~tosicde/
% $Revision: 2.8 $  $Date: 2005/03/04$
% Copyright 1999-2005 Miroslav D. Lutovac and Dejan V. Tosic
% This file is part of DrawFilt.
% DrawFilt is free software; you can redistribute it and/or modify
% it under the terms of the GNU General Public License as published by
% the Free Software Foundation; either version 2 of the License, or
% any later version.
% DrawFilt is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU General Public License for more details.
% You should have received a copy of the GNU General Public License
% along with DrawFilt; if not, write to the Free Software
% Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
% DrawFilt is distributed with the GNU General Public License.
% This licence is contained in the file LICENCE.TXT.
% References:
% Miroslav D. Lutovac, Dejan V. Tosic, Brian L. Evans
% Filter Design for Signal Processing Using MATLAB and Mathematica
% Prentice Hall, ISBN 0-201-36130-2 

mydrawgrndtag = ['drawgrndx' num2str(a) 'y' num2str(b) 'p' num2str(p)];

if p == 0
 x1 = a + s*[    0, 0];      y1 = b + s*[    0, -0.3];
 x2 = a + s*[-0.15, 0.15];   y2 = b + s*[ -0.3, -0.3];
 x3 = a + s*[ -0.1, 0.1];    y3 = b + s*[-0.35, -0.35];
 x4 = a + s*[-0.05, 0.05];   y4 = b + s*[ -0.4, -0.4];
 line(x1,y1,'Color',dc,'Tag',mydrawgrndtag)
 line(x2,y2,'Color',dc,'Tag',mydrawgrndtag)
 line(x3,y3,'Color',dc,'Tag',mydrawgrndtag)
 line(x4,y4,'Color',dc,'Tag',mydrawgrndtag)
elseif p == 1
 x1 = a + s*[   0, 0];     y1 = b + s*[    0, -0.3];
 x2 = a + s*[-0.1, 0.1];   y2 = b + s*[ -0.3, -0.3];
 line(x1,y1,'Color',dc,'Tag',mydrawgrndtag)
 line(x2,y2,'Color',dc,'Tag',mydrawgrndtag)
elseif p == 2
 x1 = a + s*[    0, 0];      y1 = b + s*[   0, 0.3];
 x2 = a + s*[-0.15, 0.15];   y2 = b + s*[ 0.3, 0.3];
 x3 = a + s*[ -0.1, 0.1];    y3 = b + s*[0.35, 0.35];
 x4 = a + s*[-0.05, 0.05];   y4 = b + s*[ 0.4, 0.4];
 line(x1,y1,'Color',dc,'Tag',mydrawgrndtag)
 line(x2,y2,'Color',dc,'Tag',mydrawgrndtag)
 line(x3,y3,'Color',dc,'Tag',mydrawgrndtag)
 line(x4,y4,'Color',dc,'Tag',mydrawgrndtag)
else
 x1 = a + s*[   0, 0];     y1 = b + s*[  0, 0.3];
 x2 = a + s*[-0.1, 0.1];   y2 = b + s*[0.3, 0.3];
 line(x1,y1,'Color',dc,'Tag',mydrawgrndtag)
 line(x2,y2,'Color',dc,'Tag',mydrawgrndtag)
end
